MWAWGraphicStyle::Arrow Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
MWAWGraphicStyle::Arrow Struct Reference

a structure used to define an arrow More...

`#include <MWAWGraphicStyle.hxx>`

## Public Member Functions
| Arrow ()
| constructor ( no arrow) More...
| Arrow (float w, MWAWBox2i const &box, std::string path, bool centered=false)
| constructor More...
bool | operator== (Arrow const &arrow) const
| operator== More...
bool | operator!= (Arrow const &arrow) const
| operator!= More...
bool | operator< (Arrow const &arrow) const
| operator< More...
bool | operator<= (Arrow const &arrow) const
| operator<= More...
bool | operator> (Arrow const &arrow) const
| operator> More...
bool | operator>= (Arrow const &arrow) const
| operator>= More...
bool | isEmpty () const
| returns true if there is no arrow More...
void | addTo (librevenge::RVNGPropertyList &propList, std::string const &type) const
| add a arrow to the propList knowing the type (start, end) More...

## Static Public Member Functions
static Arrow | plain ()
| returns a basic plain arrow More...

## Public Attributes
MWAWBox2i | m_viewBox
| the arrow viewbox More...
std::string | m_path
| the arrow path More...
float | m_width
| the arrow width in point More...
bool | m_isCentered
| flag to know if the arrow is centered More...

## Friends
std::ostream & | operator<< (std::ostream &o, Arrow const &arrow)
| operator<< More...

## Detailed Description

a structure used to define an arrow

## Constructor & Destructor Documentation

MWAWGraphicStyle::Arrow::Arrow | ( |  | ) |
| inline

constructor ( no arrow)

Referenced by MWAWGraphicStyle::MWAWGraphicStyle(), and plain().

MWAWGraphicStyle::Arrow::Arrow | ( | float | w,
|  | MWAWBox2i const & | box,
|  | std::string | path,
|  | bool | centered = `false`
| ) |  |
| inline

constructor

## Member Function Documentation

void MWAWGraphicStyle::Arrow::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::string const & | type
| ) |  | const

add a arrow to the propList knowing the type (start, end)

Referenced by MWAWGraphicStyle::addTo(), isEmpty(), and MWAWGraphicStyle::resetBorders().

bool MWAWGraphicStyle::Arrow::isEmpty | ( |  | ) | const
| inline

returns true if there is no arrow

Referenced by addTo(), MWAWGraphicStyle::addTo(), MWAWGraphicShape::getBdBox(), and operator<<().

bool MWAWGraphicStyle::Arrow::operator!= | ( | Arrow const & | arrow | ) | const
| inline

operator!=

bool MWAWGraphicStyle::Arrow::operator< | ( | Arrow const & | arrow | ) | const
| inline

operator<

bool MWAWGraphicStyle::Arrow::operator<= | ( | Arrow const & | arrow | ) | const
| inline

operator<=

bool MWAWGraphicStyle::Arrow::operator== | ( | Arrow const & | arrow | ) | const
| inline

operator==

bool MWAWGraphicStyle::Arrow::operator> | ( | Arrow const & | arrow | ) | const
| inline

operator>

bool MWAWGraphicStyle::Arrow::operator>= | ( | Arrow const & | arrow | ) | const
| inline

operator>=

static Arrow MWAWGraphicStyle::Arrow::plain | ( |  | ) |
| inlinestatic

returns a basic plain arrow

Referenced by MacDrawProParser::readGeometryShapeData(), ClarisDrawGraph::readGroupDef(), ClarisWksGraph::readGroupDef(), MacDraftParser::readObject(), MacDrawParser::readObject(), MacDraft5Parser::readObject(), MsWksGraph::readPictHeader(), CricketDrawParser::readShape(), BeagleWksDRParser::readShapeDefinitions(), HanMacWrdKGraph::readShapeGraph(), GreatWksGraph::readStyle(), RagTime5Graph::send(), RagTimeParser::sendBasicPicture(), HanMacWrdJGraph::sendGroup(), HanMacWrdJGraph::sendGroupChild(), HanMacWrdJGraph::sendShapeGraph(), and GreatWksGraphInternal::FrameShape::updateStyle().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Arrow const & | arrow
| ) |  |
| friend

operator<<

Referenced by MWAWGraphicStyle::resetBorders().

## Member Data Documentation

bool MWAWGraphicStyle::Arrow::m_isCentered

flag to know if the arrow is centered

Referenced by addTo(), operator<(), and operator==().

std::string MWAWGraphicStyle::Arrow::m_path

the arrow path

Referenced by addTo(), isEmpty(), operator<(), and operator==().

MWAWBox2i MWAWGraphicStyle::Arrow::m_viewBox

the arrow viewbox

Referenced by addTo(), operator<(), and operator==().

float MWAWGraphicStyle::Arrow::m_width

the arrow width in point

Referenced by addTo(), isEmpty(), operator<(), operator==(), RagTime5Graph::send(), and MacDraft5StyleManager::updateArrows().

The documentation for this struct was generated from the following files:

- MWAWGraphicStyle.hxx
- MWAWGraphicStyle.cxx